Update Device Proxy
curl --request PATCH \
--url https://api.example.com/api/v1/devices/{device_id}/proxy \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/devices/{device_id}/proxy"
payload = { "enabled": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.example.com/api/v1/devices/{device_id}/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"can_edit": true,
"proxy_url": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}devices
Update Device Proxy
Update proxy settings. Device must be disconnected.
PATCH
/
api
/
v1
/
devices
/
{device_id}
/
proxy
Update Device Proxy
curl --request PATCH \
--url https://api.example.com/api/v1/devices/{device_id}/proxy \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true
}
'import requests
url = "https://api.example.com/api/v1/devices/{device_id}/proxy"
payload = { "enabled": True }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true})
};
fetch('https://api.example.com/api/v1/devices/{device_id}/proxy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"can_edit": true,
"proxy_url": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Path Parameters
Body
application/json